<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();
err();
$set['title']='Граффити на стену';
include_once '../../sys/inc/thead.php';
title();
aut();

if (!isset($_POST['uid']) || !is_numeric($_POST['uid']))
{
header("Location: select.php");
exit;
}


$x = intval($_POST['x']);
$y = intval($_POST['y']);
$uid = intval($_POST['uid']);
$ank = get_user($uid);

if(@$_POST['fon']) {
$fon = htmlspecialchars(trim($_POST['fon']));

$qqa = explode(' ',microtime());
$t = $qqa[1]+$qqa[0];


echo '<div class="mdlc2">
<span>Граффити на стену</span>
<br /></div><div class="menu">
&raquo; Получатель: ';
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo ' <a href="select.php">[изм]</a><br />
&raquo; Размер изображения: '.$x.'x'.$y.' <br /> ';
if(isset($_POST['rgbr'])) {

$fon = md5($t).'.png';

$rgbr = intval($_POST['rgbr']);
$rgbg = intval($_POST['rgbg']);
$rgbb = intval($_POST['rgbb']);

echo '<img src="crf.php?x='.$x.'&amp;y='.$y.'&amp;rgbr='.$rgbr.'&amp;rgbg='.$rgbg.'&amp;rgbb='.$rgbb.'&amp;t='.$t.'" alt="" />';

} elseif(!$_POST['reload']) {
$f = md5($t).'.png';
copy('bg/'.str_replace('..',null,$fon),'get/'.$f);
echo '<img src="resize.php?img='.$f.'&amp;x='.$x.'&amp;y='.$y.'" alt="" /> ';
$fon = $f;
}
else{
echo '<img src="resize.php?img='.$fon.'&amp;x='.$x.'&amp;y='.$y.'" alt="" /> ';
}

echo '<hr />
&raquo; Шаг 3: <br />
&raquo; Эффекты фона: <br />
<form action="3.php" method="post">
<input type="checkbox" name="blur" value="1" class="q" /> Размытие<br />
<input type="checkbox" name="negative" value="1" class="q" /> Негатив<br />
<input type="checkbox" name="briac" value="1" class="q" /> Яркость<br />
&raquo; Значение яркости:<br />
<input type="text" name="bry" size="3" class="q" /><br />
<input type="checkbox" name="contrac" value="1" class="q" /> Контраст<br />
&raquo; Значение контраста:<br />
<input type="text" name="contr" size="3" class="q" /> <br />
<input type="checkbox" name="smooth" value="1" class="q" /> Чёткость<br />

<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="uid" value="'.$ank['id'].'">
<input type="hidden" name="fon" value="'.$fon.'">
<input type="submit" name="go" value="Далее" class="q" />
</form>
</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}


echo '<div class="mdlc2">
<span>Граффити на стену</span>
<br /></div><div class="menu">
&raquo; Получатель: ';
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo ' <a href="select.php">[изм]</a><br />
&raquo; Размеры изображения: '.$x.'x'.$y.' <hr />
&raquo; Шаг 2: <br />
&raquo; Выберите фон логотипа: <br />

<form action="2.php" method="post">';

$open = @opendir('bg/');
while($r = @readdir($open)) {
if(is_file('bg/'.$r)) {
$ar[] = $r;
}
}
@closedir($open);

@$st = intval(@$_POST['st']);
@$f = $st+$set['p_str'];
echo '&raquo; В нашей базе фонов: '.sizeof($ar).'<br />';
for($i=$st; $i<=$f; $i++) {
if($i>=sizeof($ar)) break;
$ic = imagecreatefrompng('bg/'.$ar[$i]);

echo '<img src="resize.php?img='.$ar[$i].'&amp;bg=1&amp;x='.$x.'&amp;y='.$y.'" alt="" /><br />
<input type="radio" name="fon" value="'.$ar[$i].'" class="q" /> (ориг.размер: '.imagesx($ic).'x'.imagesy($ic).') <br />';
}
echo '<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="uid" value="'.$ank['id'].'">
&raquo; Прокрутка списка логотипов: <br />';
if($st>0) {
echo '<input type="submit" name="st" value="'.($st-$set['p_str']).'" class="q" />';
}
if($f<=sizeof($ar)) {
echo '<input type="submit" name="st" value="'.($st+$set['p_str']).'" class="q" /> <br />';
}
echo '<input type="submit" name="go" value="Далее" class="q" />
</form>
<form action="2.php" method="post">
&raquo; Или выберите цвет фона логотипа: <br />
<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="fon" value="1">
<input type="hidden" name="uid" value="'.$ank['id'].'">
R<input type="text" name="rgbr" value="255" size="3" class="q" /> G<input type="text" name="rgbg" value="255" size="3" class="q" /> B<input type="text" name="rgbb" value="255" size="3" class="q" />
<br />
<input type="submit" name="go" value="Далее" class="q" />
</form>
</div>
';

echo "<div class='p_t'>&raquo; <a href='/info.php?id=$ank[id]'>На страницу ";
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo "</a></div>";
include_once '../../sys/inc/tfoot.php';
?>